Subject: bug#50606: Add support for other formats of Guix channels

From: Leo Famulari <[email-masked]>
Date: Thu, 16 Sep 2021 19:44:03 -0400

On Thu, Sep 16, 2021 at 02:41:10PM -0300, EuAndreh via Bug reports for GNU Guix wrote:
> My proposal was a little more crude: get the channel code from a tarball.  In
> this model there are no authentications with fingerprint or signed commits,
> neither "guix pull" would know much about the before/after state of a channel
> besides comparing the checksum of the whole tarball.

For this use case, where you don't require many of the `guix pull`
features, you could use GUIX_PACKAGE_PATH instead:

https://guix.gnu.org/cookbook/en/html_node/GUIX_005fPACKAGE_005fPATH.html